=== modified file '.bzrignore'
--- .bzrignore	2011-04-26 13:00:41 +0000
+++ .bzrignore	2011-06-30 23:12:06 +0000
@@ -40,6 +40,7 @@
 *.egg
 dist
 ./eggs
+./yui
 ./download-cache
 ./_pythonpath.py
 ./production-configs

=== modified file 'Makefile'
--- Makefile	2011-06-30 11:23:51 +0000
+++ Makefile	2011-06-30 23:24:41 +0000
@@ -33,7 +33,7 @@
 JS_ALL := $(JS_YUI) $(JS_LAZR) $(JS_OTHER) $(JS_LP)
 JS_OUT := $(LP_BUILT_JS_ROOT)/launchpad.js
 
-INS_TO_SHUTDOWN=15
+MINS_TO_SHUTDOWN=15
 
 CODEHOSTING_ROOT=/var/tmp/bazaar.launchpad.dev
 
@@ -371,6 +371,7 @@
 	$(RM) .installed.cfg
 	$(RM) -r build
 	$(RM) _pythonpath.py
+	$(RM) -r yui/*
 
 clean_logs:
 	$(RM) logs/thread*.request

=== modified file 'buildout.cfg'
--- buildout.cfg	2011-06-30 11:59:27 +0000
+++ buildout.cfg	2011-06-30 23:24:41 +0000
@@ -12,6 +12,7 @@
 unzip = true
 eggs-directory = eggs
 download-cache = download-cache
+yui-directory = yui
 relative-paths = true
 
 # Disable this option temporarily if you want buildout to find software
@@ -37,11 +38,12 @@
 [yui]
 recipe = plone.recipe.command
 command =
-    mkdir -p download-cache/../yui-${versions:yui} && \
+    mkdir -p ${buildout:yui-directory}/yui-${versions:yui}
+    rm -rf ${buildout:yui-directory}/yui-${versions:yui}/*
     tar -zxf download-cache/dist/yui-${versions:yui}.tar.gz \
-        -C download-cache/../yui-${versions:yui} && \
-    mkdir lazr-js/build && \
-    ln -s ../../download-cache/../yui-${versions:yui}/yui lazr-js/build/yui
+        -C ${buildout:yui-directory}/yui-${versions:yui}
+    mkdir lazr-js/build
+    ln -s ../../${buildout:yui-directory}/yui-${versions:yui} lazr-js/build/yui
 
 [filetemplates]
 recipe = z3c.recipe.filetemplate

=== modified file 'lib/devscripts/ec2test/testrunner.py'
--- lib/devscripts/ec2test/testrunner.py	2011-04-21 01:32:17 +0000
+++ lib/devscripts/ec2test/testrunner.py	2011-06-30 23:12:06 +0000
@@ -385,6 +385,7 @@
         p('mkdir /var/launchpad/tmp')
         p('mv /var/launchpad/sourcecode /var/launchpad/tmp/sourcecode')
         p('mkdir /var/launchpad/tmp/eggs')
+        p('mkdir /var/launchpad/tmp/yui')
         user_connection.run_with_ssh_agent(
             'bzr pull lp:lp-source-dependencies '
             '-d /var/launchpad/download-cache')

=== modified file 'utilities/link-external-sourcecode'
--- utilities/link-external-sourcecode	2011-03-10 10:26:01 +0000
+++ utilities/link-external-sourcecode	2011-06-30 23:12:06 +0000
@@ -137,7 +137,7 @@
     for source, destination in missing_files:
         link(source, destination)
 
-    for folder_name in ('download-cache', 'eggs'):
+    for folder_name in ('download-cache', 'eggs', 'yui'):
         source = abspath(join(options.parent, folder_name))
         destination = abspath(join(options.target, folder_name))
         if not exists(destination):

=== modified file 'utilities/rocketfuel-get'
--- utilities/rocketfuel-get	2011-06-01 09:02:19 +0000
+++ utilities/rocketfuel-get	2011-06-30 23:12:06 +0000
@@ -30,6 +30,7 @@
 
 LP_DOWNLOAD_CACHE_PATH="$LP_PROJECT_ROOT/$LP_SOURCEDEPS_DIR/download-cache"
 LP_EGGS_PATH="$LP_PROJECT_ROOT/$LP_SOURCEDEPS_DIR/eggs"
+YUI_PATH="$LP_PROJECT_ROOT/$LP_SOURCEDEPS_DIR/yui"
 LP_DOWNLOAD_CACHE_PATH="$(eval echo ${LP_DOWNLOAD_CACHE_PATH})"
 LP_EGGS_PATH="$(eval echo ${LP_EGGS_PATH})"
 
@@ -39,7 +40,7 @@
 FINAL_REV=$(bzr revno "$LP_TRUNK_PATH")
 
 # Make sure our directories are around.
-mkdir -p "$LP_SOURCEDEPS_PATH" "$LP_EGGS_PATH"
+mkdir -p "$LP_SOURCEDEPS_PATH" "$LP_EGGS_PATH" "$YUI_PATH"
 
 # Get/update the download cache.
 if [ -d "$LP_DOWNLOAD_CACHE_PATH" ]

